Bug 1295917 - spice - local support for virgil (virtio-gpu)
spice - local support for virgil (virtio-gpu)
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: spice-gtk (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: 7.5
Assigned To: Default Assignee for SPICE Bugs
SPICE QE bug list
: FutureFeature
Depends On: 1329973 1402474
Blocks: 1295918 1431205 1296111
  Show dependency treegraph
 
Reported: 2016-01-05 14:00 EST by Ademar Reis
Modified: 2017-07-18 03:31 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1295918 1296111 1431205 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ademar Reis 2016-01-05 14:00:10 EST
We're working to have virtio-gpu (Virgil) functional in RHEL 7.3 and for that we need support in Spice.

The first step is to support it on local VMs (patches are flowing upstream already). A second BZ will be created to track support for remote VMs.
Comment 1 Marc-Andre Lureau 2016-01-05 14:48:26 EST
client side series:
http://lists.freedesktop.org/archives/spice-devel/2016-January/025247.html
Comment 2 Pavel Grunt 2016-02-17 11:19:21 EST
changing component to spice-gtk which handles the client side
Comment 3 Pavel Grunt 2016-06-13 04:42:48 EDT
The local support is partially in thanks to rebase of spice-gtk to v0.31. However there were some fixes (involving API/ABI break) after the v0.31 version, and rhel7 spice-server doesn't have virgil support -> moving the bug to 7.4
Comment 4 Martin Tessun 2016-12-16 03:43:31 EST
As vGPU is the first priority currently, moving this BZ to 7.5
Comment 5 Gerd Hoffmann 2016-12-16 05:24:00 EST
(In reply to Martin Tessun from comment #4)
> As vGPU is the first priority currently, moving this BZ to 7.5

Well, intel has plans to support dma-bufs for the guest display too, so I expect both intel-vgpu and virtio-gpu will use the dma-buf passing infrastructure in spice.
Comment 6 David Blechter 2016-12-16 07:32:22 EST
(In reply to Gerd Hoffmann from comment #5)
> (In reply to Martin Tessun from comment #4)
> > As vGPU is the first priority currently, moving this BZ to 7.5
> 
> Well, intel has plans to support dma-bufs for the guest display too, so I
> expect both intel-vgpu and virtio-gpu will use the dma-buf passing
> infrastructure in spice.

You are correct, but it has nothing to do with local cases.

Note You need to log in before you can comment on or make changes to this bug.